[ios] 카카오로그인 objc는 지원안하나요?

https://developers.kakao.com/docs/latest/ko/kakaologin/ios#login-through-kakaotalk
가이드를 보고 따라 하고 있습니다.
objc로 되어있는 프로젝트에 추가하려고 하는데,

@import KakaoSDKCommon;
@import KakaoSDKAuth;
@import KakaoSDKUser;

를 모두 작성했음에도 AuthApi 를 찾을 수가 없네요

오늘 ( 7월 20일 ) pod 사용해서 인스톨했구요
Pod 레파지토리 하위의 KakaoSDKAuth 안에 보면 분명히 AuthApi 파일도 존재합니다.

objc로 된 프로젝트는 레거시 sdk를 사용해야 하나요?

안녕하세요
현재 objective-c 프로젝트에서 sdk v2 사용은 불가능합니다.

전체 모듈을 다 쓰지 않으실거같은데 쓰는 모듈만 브릿지 클래스를 만들어서 개발하시는 방법이 있을거 같습니다.

만약 legacy SDK 미지원(legacy sdk deprecate)이 구체화된다면 그때 상황에 맞게 브릿지 샘플예제 제공 등이 지원될수는 있겠지만 지금으로선 확답을 드릴 수 없습니다.
그리고, SDK v2 는 swift의 랭귀지 특성을 사용한부분이 많아서 공식적으로 objective-c 지원은 힘들지 않을까 합니다.

원하시는 답변 드리지 못해 죄송합니다.

좋아요 1

브릿지 샘플예제를 제공하는 계획은 수립되셨는지 궁금합니다.

@webmaster12
안녕하세요. swift로 전환하실수 없는 경우 샘플 예제를 제공해 드리고 있습니다.
필요하신경우 개인메시지로 회신 부탁드립니다. (@woody.ho)

개인메세지 드렸습니다! @woody.ho